{% extends template_base %}
{% load i18n %}
{% load static %}
{% load price_tag %}
{% block title %}Lista de planes{% endblock %}

{% block pagelevelcss %}
  <link href="{% static 'assets/plugins/datatables.net-bs4/css/dataTables.bootstrap4.min.css' %}" rel="stylesheet" />
  <link href="{% static 'assets/plugins/datatables.net-responsive-bs4/css/responsive.bootstrap4.min.css' %}" rel="stylesheet" />
{% endblock %}

{% block page %}
  <!-- begin breadcrumb -->
  <ol class="breadcrumb float-xl-right">
    <li class="breadcrumb-item"><a href="{% url 'home' %}">Home</a></li>
    <li class="breadcrumb-item active">Lista de Planes</li>
  </ol>
  <!-- end breadcrumb -->
  <!-- begin page-header -->
  <h1 class="page-header">Planes <small>Lista</small></h1>
  <!-- end page-header -->
  <!-- begin row -->
  <div class="row">
    <!-- begin col-6 -->
    <div class="col-xl-12">
      <!-- begin panel -->
      <div class="panel panel-inverse" data-sortable-id="table-basic-1">
        <!-- begin panel-heading -->
        <div class="panel-heading">
          <h4 class="panel-title">Lista de Planes</h4>
          <div class="panel-heading-btn">
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
          </div>
        </div>
        <!-- end panel-heading -->
        <div class="panel-body">
          <div class="row mb-3">
            <div class="col-sm-12 col-md-12">
                <a class="btn btn-warning btn-sm pull-right" href="{% url 'plan-create' %}">Nuevo</a>
            </div>
          </div>
          <div id="extra" role="tabpanel" class="tab-pane active"></div>
            <table class="table table-striped table-bordered table-td-valign-middle">
              <thead>
                <tr>
                  <th style="width:10%">ID</th>
                  <th style="width:15%">Nombre</th>
                  <th style="width:15%">Descripción comercial</th>
                  <th style="width:10%">Precio</th>
                  <th style="width:10%">¿En UF?</th>
                  <th style="width:10%">Categoría</th>
                  <th style="width:10%">{% trans 'services' as tr_services %}{{ tr_services|capfirst }} activos</th>
                  <th style="width:10%">{% trans 'services' as tr_services %}{{ tr_services|capfirst }} en total</th>
                  <th style="width:10%">Operador</th>
                </tr>
              </thead>
              <tbody>
                {% for plan in object_list %}
                <tr>
                  <th scope="row"><a href="{% url 'plan-update' plan.pk %}">{{ plan.pk }}</a></th>
                  <td>{{ plan.name }}</td>
                  <td>{{ plan.description_facturacion }}</td>
                  <td class="text-right">${{ plan.price|price_tag }}</td>
                  <td>{{ plan.uf|yesno:"Sí,No" }}</td>
                  <td>{{ plan.get_category_display }} {{ plan.get_type_plan_display }}</td>
                  <td>{{ plan.service_set.active.count }}</td>
                  <td>{{ plan.service_set.count }}</td>
                  <td>{{ plan.operator }}</td>
                </tr>
                {% endfor %}
              </tbody>
            </table>
            {% if is_paginated %}
              <ul class="pager">
                {% if page_obj.has_previous %}
                  <li><a href="?page={{ page_obj.previous_page_number }}">Anterior</a></li>
                {% endif %}
                <li><a disabled>Página {{ page_obj.number }} de {{ page_obj.paginator.num_pages }}. </a></li>               
                {% if page_obj.has_next %}
                  <li><a href="?page={{ page_obj.next_page_number }}">Siguiente</a></li>
                {% endif %}
              </ul>
            {% endif %}
          </div>

        </div>
        <!-- end panel-body -->
      </div>
      <!-- end panel -->
    </div>
    <!-- end col-12 -->
  </div>
  <!-- end row -->

  <!-- begin scroll to top btn -->
  <a href="javascript:;" class="btn btn-icon btn-circle btn-success btn-scroll-to-top fade" data-click="scroll-top"><i class="fa fa-angle-up"></i></a>
  <!-- end scroll to top btn -->
{% endblock %}

{% block pageleveljs %}
<script type="text/javascript">
    //active menu
    document.getElementById("clients_menu").classList.add("active");
    //active submenu item
    document.getElementById("plans_item").classList.add("active");
</script>
  <script src="{% static 'assets/plugins/datatables.net/jquery.dataTables.min.js' %}"></script>
  <script src="{% static 'assets/plugins/datatables.net-bs4/js/dataTables.bootstrap4.min.js' %}"></script>
  <script src="{% static 'assets/plugins/datatables.net-responsive/js/dataTables.responsive.min.js' %}"></script>
  <script src="{% static 'assets/plugins/datatables.net-responsive-bs4/js/responsive.bootstrap4.min.js' %}"></script>
  <!--<script type="text/javascript" src="{% static 'theme/build/js/pages/customer-list.js' %}"></script>-->
{% endblock %}   












